#!/bin/bash

##============================================================================================##
##                            Script macvlan-network.sh                                       ##
##                                                                                            ##
## Script de création d'interface virtuelle pour les conteneurs Swag at AdGuard Home          ##
## Voir tutos :                                                                               ##
## https://www.nas-forum.com/forum/topic/69319-tuto-docker-macvlan-pi-hole/                   ##
##                                                                                            ##
## Les IPs prévues pour les conteneurs sont :                                                 ##
## - AdGuard-Home : 192.168.xxx.yyy                                                           ##
##                                                                                            ##
##==============================================================================================
##                                                                                            ##
## --ip-range=192.168.xxx.MMM/28 : cela correspond à la plage d'IP pour le réseau macvlan     ##
## sachant que 192.168.xxx.MMM doit être la 1ère IP donnée par les calculateurs internet.     ##
## Il se peut que ce ne soit pas la même que l'IP macvlan que l'on veut donner au conteneur   ##
## AdGuardHome.                                                                               ##
##                                                                                            ##
## Quelques calculateurs internet :                                                           ##
## https://cric.grenoble.cnrs.fr/Administrateurs/Outils/CalculMasque/                         ##
## https://www.cidr.eu/en/calculator/+/192.168.2.208/28                                       ##
##                                                                                            ##
##==============================================================================================


docker network create -d macvlan \
--subnet=192.168.xxx.0/24 \
--ip-range=192.168.xxx.MMM/28 \
--gateway=192.168.xxx.1 \
-o parent=ovs_eth0 \
macvlan-network